package com.elab.mq.model;

import com.aliyun.openservices.ons.api.OnExceptionContext;

/**
 * 回调异常实体
 *
 * @author Liukx
 * @create 2018-04-10 19:36
 * @email liukx@elab-plus.com
 **/
public class OnExceptionContextModel extends OnExceptionContext {

    public OnExceptionContextModel() {
    }

    /**
     * 简单的适配
     *
     * @param onExceptionContext
     */
    public OnExceptionContextModel(OnExceptionContext onExceptionContext) {
        setException(onExceptionContext.getException());
        setMessageId(onExceptionContext.getMessageId());
        setTopic(onExceptionContext.getTopic());
    }
}
